Python Crash Course
===

A Hands-On, Project-Based Introduction to Programming
---

This is a collection of resources for [Python Crash Course](http://www.nostarch.com/pythoncrashcourse/), an introductory programming book from [No Starch Press](http://www.nostarch.com) by Eric Matthes. Click here for a [much cleaner version](https://ehmatthes.github.io/pcc/) of these online resources.

If you have any questions about Python Crash Course, feel free to get in touch:

Email: ehmatthes@gmail.com

Twitter: [@ehmatthes](http://twitter.com/ehmatthes/)

<a href="setup_instructions"></a>Setup Instructions
---
Here you can find instructions for:

- [Installing and configuring Python](http://ehmatthes.github.io/pcc/chapter_01/README.html) (Chapter 1)
- [Installing and using pip](http://ehmatthes.github.io/pcc/chapter_12/installing_pip.html) (Chapter 12)
- [Installing Pygame](http://ehmatthes.github.io/pcc/chapter_12/README.html) (Chapter 12)
- [Installing matplotlib and Pygal](http://ehmatthes.github.io/pcc/chapter_15/README.html) (Chapter 15)
- [Creating a Virtual Environment](http://ehmatthes.github.io/pcc/chapter_18/README.html) (Chapter 18)
- [Deploying a Project to Heroku](http://ehmatthes.github.io/pcc/chapter_20/README.html) (Chapter 20)
- [Installing Python](http://ehmatthes.github.io/pcc/appendix_a/README.html) (Appendix A)

<a href="source_code"></a>Downloading source code
---
The simplest way to get the online resources for the book is to click on the [*Download ZIP*](https://github.com/ehmatthes/pcc/archive/master.zip) button on the upper right side of [this page](https://github.com/ehmatthes/pcc), which will download the source code files (and other resources) for the entire book.

[Cheat Sheets](http://ehmatthes.github.io/pcc/cheatsheets/README.html)
---

Cheat sheets can be really helpful when you're working on a set of programming exercises or a project. This set of [cheat sheets](http://ehmatthes.github.io/pcc/cheatsheets/README.html) will help remind you of the concepts you're learning, as well as the Python syntax for these concepts.

[Updates](http://ehmatthes.github.io/pcc/updates.html)
---

Some of the libraries featured in the book have been updated recently, which is a good thing - it means you're learning to use Python packages that are steadily being improved.

When packages are updated you have the option of using the version that was featured in the book, which lets you run code exactly as it's written in the book. You can also choose to install the latest version of each package, and modify the code in the book slightly. Each approach is outlined clearly in these updates.

A list of updates is kept [here](http://ehmatthes.github.io/pcc/updates.html).

